program IRTEST;

uses newdelay,crt,mpxfir,mpxfvars,config;

var
      s:string;
      b:byte;
      ci,cr:byte;
      c:word;
const
  ver = '1.0';

      Var
       OrgInt1Ch : Pointer;              { Saved interrupt 1Ch vector }


 begin
   writeln;
  writeln('IRTEST v'+ver);
  writeln('Written by Scott Bradshaw');
  writeln('Comments/Suggestions to composer47@hotmail.com');
  writeln;
  if paramcount < 1 then begin
    if not (openconfig('MPXF.CFG')) then begin
    writeln('Error opening MPXF.CFG');
    halt(1);
    end;
  end else
  if not (openconfig(paramstr(1))) then begin
    writeln('Error opening config file:',paramstr(1));
    halt(1);
  end;

  load_settings;
  if (UseIR or Usex10) then
  begin
    if debug then writeln('Init IR');
    irclearcodes;
{    irloadconfig(irmpxffn);}
    irsetport(irport);
    if usex10 then x10start else irstart;
    displaycode := true;
    if irfound then begin
      writeln('Press buttons on remote. Hit any key to stop test.');
      while (not keypressed) do;
      IRStop;
    end else writeln('Unable to initialized IR Device. Check settings.');
  end else writeln('IR/X10 not enabled in MPXF.CFG');
   writeln('IRTEST complete.');
 end.
